#!/bin/bash

source bin/script/test-setup.bash
source lib/cascade-lib.bash


# Ensure that the necessary directories exist within the 'installed' area
dirlist="cmdline server"
if [ -e packages/devel ] ; then
  dirlist="$dirlist devel"
fi

for d in $dirlist ; do
  if [ ! -e $GEXTVIDEO_INSTALLED/$d ] ; then
    echo "Creating $GEXTVIDEO_INSTALLED/$d"
    mkdir $GEXTVIDEO_INSTALLED/$d
  fi
done

for d in packages ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done


if [ ! -e $GEXTVIDEO_INSTALLED/server/htdocs/gsdl ] ; then
  ( cd $GEXTVIDEO_INSTALLED/server/htdocs/ ; \
    ln -s $GSDLHOME gsdl )

  if [ $? != 0 ] ; then
    echo "Error encountered configuring lighttpd server 'htdocs' to have symbolic link to gsdl home"
    echo "Is GSDLHOME set?"
    exit 1
  fi


fi