#!/bin/bash

package=flvtool2
version=-1.0.6

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTVIDEO_INSTALLED/cmdline


opt_run_untar $force_untar $auto_untar $package $version ".tgz"



if [ -d $package$version ] ; then
  echo "****"
  echo "* Always (for now) have it run configure stage for ruby"
  echo "****"


  ( echo "[pushd $package$version]"a ; \
    cd $package$version ; \
    ruby setup.rb config --prefix=$prefix )

    if [ $? != 0 ] ; then
        echo "      Error encountered running *config* stage of $progname"
        exit 1
    fi
    echo "[popd]"
fi


if [ $compile = "1" ] ; then
  ( echo "[pushd $package$version]" ; \
    cd $package$version ; \
    ruby setup.rb setup )

  if [ $? != 0 ] ; then
      echo "      Error encountered running *setup/compile* stage of $progname"
      exit 1
  fi
  echo "[popd]"

fi


if [ $install = "1" ] ; then
  ( echo "[pushd $package$version]" ; \
    cd $package$version ; \
    ruby setup.rb install )

  if [ $? != 0 ] ; then
      echo "      Error encountered running *install* stage of $progname"
      exit 1
  fi
  echo "[popd]"
fi

# What are the equivalent calls for clean and distclean ???

#opt_run_make $clean     $package $version "clean"

# Does this make any sense?
if [ $clean = "XXX" ] ; then
  ( echo "[pushd $package$version]" ; \
    cd $package$version ; \
    ruby setup.rb clean )

  if [ $? != 0 ] ; then
      echo "      Error encountered running *install* stage of $progname"
      exit 1
  fi
  echo "[popd]"
fi


#opt_run_make $distclean $package $version "distclean"

# Does this make any sense???

if [ $distclean = "XXX" ] ; then
  ( echo "[pushd $package$version]" ; \
    cd $package$version ; \
    ruby setup.rb distclean )

  if [ $? != 0 ] ; then
      echo "      Error encountered running *install* stage of $progname"
      exit 1
  fi
  echo "[popd]"
fi

opt_run_tarclean $tarclean $package $version
